Name:           quadkonsole
Version:        2.0.1
Release:        2%{?dist}
Summary:        Embeds Konsole kparts in a grid layout

Group:          Applications/System
License:        GPL
URL:            http://nomis80.org/quadkonsole/
Source0:        http://nomis80.org/quadkonsole/quadkonsole-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdelibs-devel >= 3.2, desktop-file-utils

%description
QuadKonsole is a program which embeds 4 Konsoles (other numbers can be
specified on the command-line). This way you save screen real estate, you don't
have to worry about careful placement and the startup time is faster than
starting up 4 separate Konsoles.


%prep
%setup -q


%build
%configure --disable-rpath
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
        --vendor fedora \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde \
        --delete-original \
        --add-category X-Fedora \
        $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/quadkonsole.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO
%{_bindir}/quadkonsole
%{_datadir}/applications/kde/fedora-quadkonsole.desktop


%changelog
* Tue Mar  7 2006 Simon Perreault <nomis80@nomis80.org> - 2.0.1-2
- Reformatted description to make rpmlint happy.

* Tue Mar  7 2006 Simon Perreault <nomis80@nomis80.org> - 2.0.1-1
- Initial package.
